docker

Added by Николай Исаев 14 days ago

Добрый день!
Поставил docker версии 17.03.1-ce
Все работает шикарно. В PHPStorm пытаюсь пробросить интерпретатор PHP из контейнера docker, выдает такую вот ошибку:
"java.lang.IllegalStateException: Neither Epoll nor KQueue support available for Unix domain socket connection, caused by: java.lang.ExceptionInInitializedError".

$ ls -la /run/ | grep docker
drwx------  7 root      root     140 май 15 21:06 docker
-rw-r--r--  1 root      root       4 май 15 20:59 docker.pid
srw-rw----  1 root      docker     0 май 15 20:59 docker.sock

пользователь системы находится в группе docker.
Я понимаю что это не calculate проблема. Но в Ubuntu такого не выдает. Возможно кто-то может подсказать чем подобная ошибка вызвана.
Возможно нужно какое-то дополнительное ПО, либо же дополнительные опции в ядре calculate. Заранее благодарен

P.S.
Во время установки новой версии docker получил такое вот

 * Messages for package app-emulation/docker-17.05.0:

 *   CONFIG_CGROUP_HUGETLB:      is not set when it should be.
 *   CONFIG_IP_VS:       is not set when it should be.
 *   CONFIG_IP_VS_PROTO_TCP:     is not set when it should be.
 *   CONFIG_IP_VS_PROTO_UDP:     is not set when it should be.
 *   CONFIG_IP_VS_NFCT:  is not set when it should be.
 *   CONFIG_IP_VS_RR:    is not set when it should be.
 *   CONFIG_CGROUP_NET_PRIO:     is not set when it should be.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.

Но тем не менее он установился и работает. Но пробросить интерпретатор PHP из docker до сих пор не удается по той же самой причине


Thank you!